Skip to content
Documentation sections

Search Port Details by its name or unlocode

GET /ports/search on the Ports Intelligence API. Base URL: https://api.sinay.ai/ports-intelligence/api/v1.

Search a port by its UN/LOCODE or its name and retrieve its details.

Query parameters

stringrequired

UN/LOCODE or the name of the port (e.g., FRLEH or Le Havre)

Responses

Body: application/json, object.

FieldTypeRequiredDescription
namestringNoName of the port.
longitudenumber (float)NoLongitude coordinate.
latitudenumber (float)NoLatitude coordinate.
unlocodestringNoUN/LOCODE of the port.
countryNamestringNoCountry name.
countryCodestringNoISO country code.

Example response body:

{
  "portDetails": {
    "name": "LE HAVRE",
    "longitude": 0.146204,
    "latitude": 49.4726,
    "unlocode": "FRLEH",
    "countryName": "France",
    "countryCode": "FR"
  }
}